Bug Hunting Session
Bug 80598 - PRINTING: Colour properties not applied when printing xls sheet
Summary: PRINTING: Colour properties not applied when printing xls sheet
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print XLS
  Show dependency treegraph
 
Reported: 2014-06-27 13:59 UTC by bugzilla
Modified: 2017-07-11 23:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
xls file with properties that are not applied when printing (18.00 KB, application/x-msexcel)
2014-06-27 13:59 UTC, bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2014-06-27 13:59:33 UTC
Created attachment 101867 [details]
xls file with properties that are not applied when printing

Problem description: MS Office compatibility issue - when an Excel sheet is printed, some Print settings are not applied.

Steps to reproduce:
1. Open the attached test xls in MS Excel and open Page Setup - Tab Sheet. In "Print" section, select "Black and white" = ON.
2. Open and print the test xls in LibreOffice, and check what happened to the colored cells.

Current behavior: "Black and white" = ON is not applied. The colored cells are 

Expected behavior: The cells shoulb be printed in bw.

              
Operating System: Windows 7
Versions tested: 4.2.5 and 4.3 dev
Comment 1 raal 2014-09-11 14:52:15 UTC
I can reproduce with version 4.2.1, WIN7
There is not b&w setting in LO in the Page setup. B&w setting is global in Preferences -> Print
Comment 2 raal 2014-09-11 14:53:00 UTC
sorry,  version 4.3.1
Comment 3 Buovjaga 2014-11-14 07:40:51 UTC
Options - LibreOffice - Print - Convert colors to grayscale check, it prints in grayscale for me.

Win 7 64-bit 4.3.3.2 and Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 4 raal 2014-11-14 13:51:48 UTC
Enhacement -> allow to set b&w setting per document. Now you can set b&w only per application. When I change Preferences -> Print -> Convert colors to grayscale, this setting affects all opened documents.